unit GMHallFame;

interface
  uses Windows,SysUtils;

const
 MAX_PLAYERS =14;

type TRecordset=record
  name:string[10];
  score,
  lines,
  level:Integer;
end;

type
  TOHALLFAME=object

    classic:array[0..MAX_PLAYERS]of TRecordset;
    bomber:array[0..MAX_PLAYERS]of TRecordset;
    logic:array[0..MAX_PLAYERS]of TRecordset;

    sel:Integer;
    room:Integer;

    function Load(Fname:string):Boolean;
    function SaveHS:Boolean;
    procedure ResetHS(mode:Integer);
    function MakeR(mode:Integer;score:Integer):Boolean;
    procedure AddR(mode:Integer;player:TRecordset);
    function is_in_the_hall(mode:Integer;player:TRecordset):Boolean;
    function MergeR(filename:string):Integer;
    procedure Draw;
    procedure Procces;
    procedure start;
end;

var
  MyHallFame:TOHALLFAME;

implementation
   uses GMUtilite,GMVars;


function TOHALLFAME.Load(Fname:string):Boolean;
var
  F: file;
  r:Cardinal;
begin
  if FileExists(fname)=False then
  begin
    resetHS(TETRIS_MODE_CLASSIC);
    resetHS(TETRIS_MODE_BOMBER);
    resetHS(TETRIS_MODE_LOGIC);
    Result:= FALSE;
    Exit;
  end
  else
  begin
//    AssignFile(F,Fname);
//    Reset(F);
//    Close(f);
    Result:=TRUE;
  end;
end;

function TOHALLFAME.SaveHS:Boolean;
begin

end;

procedure TOHALLFAME.ResetHS(mode:Integer);
begin


end;

function TOHALLFAME.MakeR(mode:Integer;score:Integer):Boolean;
begin

end;

procedure TOHALLFAME.AddR(mode:Integer;player:TRecordset);
begin

end;

function TOHALLFAME.is_in_the_hall(mode:Integer;player:TRecordset):Boolean;
begin
end;

function TOHALLFAME.MergeR(filename:string):Integer;
begin
end;

procedure TOHALLFAME.Draw;
begin
  SText2D(MySysfont[2],'Зал позора',SCR2W,20,$004080FF,255);
end;

procedure TOHALLFAME.Procces;
begin
end;

procedure TOHALLFAME.Start;
begin
end;


end.
